clang-tools 8.0.0

Public Member Functions | List of all members
clang::clangd::Notification Class Reference

A threadsafe flag that is initially clear. More...

`#include <Threading.h>`

## Public Member Functions
void | notify ()
void | wait () const

## Detailed Description

A threadsafe flag that is initially clear.

Definition at line 27 of file Threading.h.

## Member Function Documentation

## ◆ notify()

void clang::clangd::Notification::notify | ( |  | ) |

Definition at line 19 of file Threading.cpp.

## ◆ wait()

void clang::clangd::Notification::wait | ( |  | ) | const

Definition at line 27 of file Threading.cpp.

Referenced by clang::clangd::Deadline::operator==(), clang::clangd::wait(), and clang::clangd::AsyncTaskRunner::wait().

The documentation for this class was generated from the following files:

- Threading.h
- Threading.cpp